Package org.apache.sling.feature.maven

# Class FeatureProjectConfig

java.lang.Object
org.apache.sling.feature.maven.FeatureProjectConfig

public class FeatureProjectConfig extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CFG_DEFAULT_METADATA`
`static final String`
`CFG_ENABLE_PROJ_VARS`
`static final String`
`CFG_FEATURES`
`static final String`
`CFG_FEATURES_EXCLUDES`
`static final String`
`CFG_FEATURES_INCLUDES`
`static final String`
`CFG_JAR_START_ORDER`
`static final String`
`CFG_LEGACY_REPLACE`
`static final String`
`CFG_REPLACE_PROP_VARS`
`static final String`
`CFG_SKIP_ADD_FEATURE_DEPENDENCIES`
`static final String`
`CFG_SKIP_ADD_JAR_TO_FEATURE`
`static final String`
`CFG_SKIP_ADD_JAR_TO_TEST_FEATURE`
`static final String`
`CFG_SKIP_ADD_TEST_FEATURE_DEPENDENCIES`
`static final String`
`CFG_TEST_FEATURES`
`static final String`
`CFG_TEST_FEATURES_EXCLUDES`
`static final String`
`CFG_TEST_FEATURES_INCLUDES`
`static final String`
`CFG_VALIDATE_FEATURES`
`static final String`
`DEFAULT_FEATURE_DIR`
`static final String`
`DEFAULT_FEATURE_INCLUDES`
`static final String`
`DEFAULT_TEST_FEATURE_DIR`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Map<String,String>>`
`getDefaultMetadata()`
`String`
`getExcludes()`
`String`
`getFeaturesDir()`
`String`
`getIncludes()`
`String`
`getJarStartOrder()`
`static FeatureProjectConfig`
`getMainConfig(FeatureProjectInfo info)`
`String`
`getName()`
`String[]`
`getReplacePropertyVariables()`
`String`
`getScope()`
`static FeatureProjectConfig`
`getTestConfig(FeatureProjectInfo info)`
`boolean`
`isEnableLegacyVariableReplacement()`
`boolean`
`isEnableProjectVariableReplacement()`
`boolean`
`isSkipAddDependencies()`
`boolean`
`isSkipAddJarToFeature()`
`boolean`
`isTestConfig()`
`boolean`
`isValidate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CFG_FEATURES

public static final String CFG_FEATURES

See Also:
  - Constant Field Values

### CFG_FEATURES_INCLUDES

public static final String CFG_FEATURES_INCLUDES

See Also:
  - Constant Field Values

### CFG_FEATURES_EXCLUDES

public static final String CFG_FEATURES_EXCLUDES

See Also:
  - Constant Field Values

### CFG_TEST_FEATURES

public static final String CFG_TEST_FEATURES

See Also:
  - Constant Field Values

### CFG_TEST_FEATURES_INCLUDES

public static final String CFG_TEST_FEATURES_INCLUDES

See Also:
  - Constant Field Values

### CFG_TEST_FEATURES_EXCLUDES

public static final String CFG_TEST_FEATURES_EXCLUDES

See Also:
  - Constant Field Values

### CFG_SKIP_ADD_FEATURE_DEPENDENCIES

public static final String CFG_SKIP_ADD_FEATURE_DEPENDENCIES

See Also:
  - Constant Field Values

### CFG_SKIP_ADD_TEST_FEATURE_DEPENDENCIES

public static final String CFG_SKIP_ADD_TEST_FEATURE_DEPENDENCIES

See Also:
  - Constant Field Values

### CFG_SKIP_ADD_JAR_TO_FEATURE

public static final String CFG_SKIP_ADD_JAR_TO_FEATURE

See Also:
  - Constant Field Values

### CFG_SKIP_ADD_JAR_TO_TEST_FEATURE

public static final String CFG_SKIP_ADD_JAR_TO_TEST_FEATURE

See Also:
  - Constant Field Values

### CFG_JAR_START_ORDER

public static final String CFG_JAR_START_ORDER

See Also:
  - Constant Field Values

### CFG_VALIDATE_FEATURES

public static final String CFG_VALIDATE_FEATURES

See Also:
  - Constant Field Values

### DEFAULT_FEATURE_DIR

public static final String DEFAULT_FEATURE_DIR

See Also:
  - Constant Field Values

### DEFAULT_FEATURE_INCLUDES

public static final String DEFAULT_FEATURE_INCLUDES

See Also:
  - Constant Field Values

### DEFAULT_TEST_FEATURE_DIR

public static final String DEFAULT_TEST_FEATURE_DIR

See Also:
  - Constant Field Values

### CFG_ENABLE_PROJ_VARS

public static final String CFG_ENABLE_PROJ_VARS

See Also:
  - Constant Field Values

### CFG_REPLACE_PROP_VARS

public static final String CFG_REPLACE_PROP_VARS

See Also:
  - Constant Field Values

### CFG_LEGACY_REPLACE

public static final String CFG_LEGACY_REPLACE

See Also:
  - Constant Field Values

### CFG_DEFAULT_METADATA

public static final String CFG_DEFAULT_METADATA

See Also:
  - Constant Field Values

## Method Details

### getMainConfig

public static FeatureProjectConfig getMainConfig(FeatureProjectInfo info)

### getTestConfig

public static FeatureProjectConfig getTestConfig(FeatureProjectInfo info)

### getName

public String getName()

### getFeaturesDir

public String getFeaturesDir()

### getIncludes

public String getIncludes()

### getExcludes

public String getExcludes()

### isSkipAddDependencies

public boolean isSkipAddDependencies()

### getScope

public String getScope()

### isTestConfig

public boolean isTestConfig()

### getJarStartOrder

public String getJarStartOrder()

### isSkipAddJarToFeature

public boolean isSkipAddJarToFeature()

### isValidate

public boolean isValidate()

### isEnableProjectVariableReplacement

public boolean isEnableProjectVariableReplacement()

### getReplacePropertyVariables

public String[] getReplacePropertyVariables()

### isEnableLegacyVariableReplacement

public boolean isEnableLegacyVariableReplacement()

### getDefaultMetadata

public Map<String,Map<String,String>> getDefaultMetadata()